if exists (select 1 from sysobjects where name = 'vw_abteilung' and type = 'V')
begin
   drop view vw_abteilung
   print 'View: vw_abteilung deleted ...'
end
go
create view vw_abteilung
as
   select 
    a.AbteilungID,
    a.Name,
    b.Kurztext,
    b.Langtext,
    b.BeschrID
   from Abteilung a
   left outer join Beschreibung b
   on b.BeschrID = a.BeschrID
go
print 'View: vw_abteilung done ...'
go