if exists (select 1 from sysobjects where name = 'set_anstellung' and type = 'P')
begin
   drop procedure set_anstellung
   print 'Procedure: set_anstellung deleted ...'
end
go
create procedure set_anstellung(
  @mandid             char(2)       = 'li',
  @anstellungname     varchar(32)   = 'Abteilung',
  @kurztext           varchar(60)   = 'Abteilung',
  @beschreibung       varchar(250)  = 'Abteilung Beschreibung',
  @prio               int = 0,
  @EinsatzProTag      int           = 1,
  @Gerechnet          int           = 1,
  @ausgelernt         int           = 0
)
as
begin
  set nocount on
  declare @beschrid   int
  if @beschreibung is null select @beschreibung = ''
   if not exists (select 1 from Beschreibung where Beschreibung.BeschrID between 501 and 1000)
   begin 
     select @beschrid = 501
    end
   else
   begin
     select @beschrid = max(Beschreibung.BeschrID) + 1
       from Beschreibung
      where Beschreibung.BeschrID between 501 and 1000
    end
  exec set_beschreibung @beschrid, @kurztext, @beschreibung
  insert into Anstellung (Name, Prioritaet, BeschrID, EinsatzProTag, Gerechnet, mandid, ausgelernt) values (@anstellungname, @prio, @beschrid, @EinsatzProTag, @Gerechnet, @mandid,@ausgelernt)

end
go
print 'Procedure: set_anstellung done ...'
go
grant exec on set_anstellung to prsadmins with grant option
go
grant exec on set_anstellung to prsusers
go

