if exists (select 1 from sysobjects where name = 'set_planschema' and type = 'P')
begin
   drop procedure set_planschema
   print 'Procedure: set_planschema deleted ...'
end
go
-- setzt anzahl tage pro monat fest
create procedure set_planschema(
  @SchemaID        int = 1,
  @PrsSchemaID     int = 1,-- nummer fortlaufend, fngt bei jedem schema neu an
  @PrsID           int = 1,
  @AbteilungID     int = 1,
  @RGB             int = null,
  @ColorName       varchar(32) = '',
  @Bezeichner      varchar(32) = ''
)
as
begin

  set nocount on

  insert into PlanSchema (SchemaID, PrsSchemaID,PrsID,AbteilungID,RGB,ColorName,Bezeichner) values (@SchemaID,@PrsSchemaID,@PrsID,@AbteilungID,@RGB,@ColorName,@Bezeichner)

end
go

print 'Procedure: set_planschema done ...'
go

grant exec on set_planschema to prsadmins with grant option
go
grant exec on set_planschema to prsusers
go

