if exists (select 1 from sysobjects where name = 'upd_anstellung' and type = 'P')
begin
   drop procedure upd_anstellung
   print 'Procedure: upd_anstellung deleted ...'
end
go
create procedure upd_anstellung(
  @anstellungid       int           = 1,
  @anstellungname     varchar(32)   = 'Abteilung neu',
  @beschreibung       varchar(250)  = 'Abteilung Beschreibung neu',
  @prio               int           = 1,
  @EinsatzProTag      int           = 1,
  @gerechnet          int           = 1,
  @ausgelernt         int           = 0
)
as
begin
  set nocount on
  declare @beschrid   int
   select @beschrid = BeschrID
     from Anstellung
    where AnstellungID = @anstellungid
    
     exec upd_beschreibung @beschrid, @anstellungname, @beschreibung
  
   update Anstellung 
      set Name = @anstellungname,
          Prioritaet = @prio,
          EinsatzProTag = @EinsatzProTag,
          Gerechnet = @gerechnet,
          ausgelernt = @ausgelernt
--          anstellugn.gerechnet = @Gerechnet 
    where AnstellungID = @anstellungid
end
go
print 'Procedure: upd_anstellung done ...'
go
grant exec on upd_anstellung to prsadmins with grant option
go
grant exec on upd_anstellung to prsusers
go

