if exists (select 1 from sysobjects where name = 'upd_planungsjahr_jahr' and type = 'P')
begin
   drop procedure upd_planungsjahr_jahr
   print 'Procedure: upd_planungsjahr_jahr deleted ...'
end
go

create procedure upd_planungsjahr_jahr(
  @jahr          int   = 1900
)
as
begin

  set nocount on

  -- Alle alten jahre status auf 2 setzten
  update planungsjahr set status = 2 where status = 1

  -- neues jahr mit aktivem status stellen
  update planungsjahr set status = 1 where jahr = @jahr

end
go
print 'Procedure: upd_planungsjahr_jahr done ...'
go
grant exec on upd_planungsjahr_jahr to prsadmins with grant option
go
grant exec on upd_planungsjahr_jahr to prsusers
go

