-- *************
-- Script zum korrigieren der User einer ab fremdem Server uebertragenen Datenbank
-- Die User der Datenbank zu denen es auf dem aktuellen Server keinen Login gibt werden als gelscht markiert
-- Die User zu denen es einen gleichnamigen Login gibt werden neu verbunden.
-- 01.03.1999 FHU
-- *************

print 'Bereinige Benutzer der Datenbank'
go

declare @name_indb char(30)
declare @name_work varchar(255)
declare @namelink1 varchar(255)
declare @namelink2 varchar(255)

declare usr_crs cursor for select name from sysusers 
                           where name != 'dbo' 
                             and name != 'public'
                             and name != 'guest' 
                             and name != 'INFORMATION_SCHEMA'
                             and name != 'sys'
                             and substring(name,1,3) not in ('db_') and islogin=1
open usr_crs
fetch usr_crs into @name_indb
while (@@fetch_status <> -1)
begin
  if (@@fetch_status <> -2)
  begin
    if exists (select ml.name from master..syslogins ml where ml.name=@name_indb)
       begin
          select @name_work=rtrim(@name_indb) +' existiert und wurde neu verbunden'
          select @namelink1 = 'UPDATE_ONE'
          select @namelink2 = rtrim(@name_indb)
          exec sp_change_users_login @Action=@namelink1,@UserNamePattern=@namelink2,@LoginName=@namelink2
          print @name_work
       end
    else
       begin
          select @name_work=rtrim(@name_indb) +' existiert nicht und wurde gedropt'
          exec sp_dropuser @name_in_db=@name_indb
          print @name_work
       end
  end
  fetch usr_crs into @name_indb
end
close usr_crs
deallocate usr_crs
go
update tequser set status = 'D' where sqluser not in (select name from sysusers)
go
delete from usersec where useridnbr in (select useridnbr from tequser where status = 'D')
go
-- *************

