﻿
namespace personalplaner.business.stamm
{
    public class Anstellung : ItemBase
    {
		protected override string IsPropertyValid(string property)
		{
			switch (property)
			{
				case "Name":
					if (string.IsNullOrEmpty(Name))
						return property;
					break;

                //case "EinsatzProTag":
                //    if (EinsatzProTag <= 0)
                //        return property;
                //    break;
			}
            
			return base.IsPropertyValid(property);
		}

        public override int ID
        {
            get
            {
                return _anstellungid;
            }
            set
            {
                _anstellungid = value;
                RaisePropertyChanged("ID");
            }
        }

		string _beschreibung;
		public string Beschreibung
		{
			get { return _beschreibung; }
			set
			{
				_beschreibung = value;
				RaisePropertyChanged("Beschreibung");
			}
		}
		
		int _anstellungid;
        public int AnstellungID
        {
            get
            {
                return _anstellungid;
            }
            set
            {
                _anstellungid = value;
                RaisePropertyChanged("AnstellungID");
            }
        }

        short _prioritaet;
        public short Prioritaet
        {
            get
            {
                return _prioritaet;
            }
            set
            {
                _prioritaet = value;
                RaisePropertyChanged("Prioritaet");
            }
        }

        int _einsatzprotag = 1;
        public int EinsatzProTag
        {
            get
            {
                return _einsatzprotag;
            }
            set
            {
                _einsatzprotag = value;
                RaisePropertyChanged("EinsatzProTag");
            }
        }

        bool _isgerechnet = true;
        public bool IsGerechnet
        {
            get
            {
                return _isgerechnet;
            }
            set
            {
                _isgerechnet = value;
                RaisePropertyChanged("IsGerechnet");
            }
        }

        bool _isgelernt = true;
        public bool IsAusgelernt
        {
            get
            {
                return _isgelernt;
            }
            set
            {
                _isgelernt = value;
                RaisePropertyChanged("IsAusgelernt");
            }
        }
    }
}
