﻿using System.Windows;

namespace personalplaner.common.themes
{
	public static class ResourceKeys
	{
		#region Brush Keys

        public static readonly ResourceKey MenuHeaderBackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "MenuHeaderBackgroundBrush");
        public static readonly ResourceKey SubMenuHeaderBackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "SubMenuHeaderBackgroundBrush");
        public static readonly ResourceKey SubMenuHeaderBorderBrush = new StaticResourceKey(typeof(ResourceKeys), "SubMenuHeaderBorderBrush");

        public static readonly ResourceKey DarkForegroundBrush = new StaticResourceKey(typeof(ResourceKeys), "DarkForegroundBrush");
        public static readonly ResourceKey BackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "BackgroundBrush");
        public static readonly ResourceKey ForegroundBrush = new StaticResourceKey(typeof(ResourceKeys), "ForegroundBrush");

        public static readonly ResourceKey GlyphBrush = new StaticResourceKey(typeof(ResourceKeys), "GlyphBrush");

        public static readonly ResourceKey CollapsiblePanelHeaderBackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "CollapsiblePanelHeaderBackgroundBrush");
        public static readonly ResourceKey CollapsiblePanelHeaderBorderBrush = new StaticResourceKey(typeof(ResourceKeys), "CollapsiblePanelHeaderBorderBrush");
        public static readonly ResourceKey CollapsiblePanelBackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "CollapsiblePanelBackgroundBrush");
        public static readonly ResourceKey CollapsiblePanelBorderBrush = new StaticResourceKey(typeof(ResourceKeys), "CollapsiblePanelBorderBrush");

        public static readonly ResourceKey MenuButtonDropDownBackgroundBrush = new StaticResourceKey(typeof(ResourceKeys), "MenuButtonDropDownBackgroundBrush");

		#endregion //Brush Keys

		//public static readonly ResourceKey GlyphNormalForegroundKey = new StaticResourceKey(typeof(ResourceKeys), "GlyphNormalForegroundKey");
		//public static readonly ResourceKey GlyphDisabledForegroundKey = new StaticResourceKey(typeof(ResourceKeys), "GlyphDisabledForegroundKey");



        //public static readonly ResourceKey SpinButtonCornerRadiusKey = new StaticResourceKey(typeof(ResourceKeys), "SpinButtonCornerRadiusKey");

        #region Style Keys

        public static readonly ResourceKey StyleMenuStyleKey = new StaticResourceKey(typeof(ResourceKeys), "StyleMenuStyleKey");
        public static readonly ResourceKey StyleMenuItemStyleKey = new StaticResourceKey(typeof(ResourceKeys), "StyleMenuItemStyleKey");

        public static readonly ResourceKey MainContentStyleKey = new StaticResourceKey(typeof(ResourceKeys), "MainContentStyleKey");

        public static readonly ResourceKey MainMenuTabControlStyleKey = new StaticResourceKey(typeof(ResourceKeys), "MainMenuTabControlStyleKey");
        public static readonly ResourceKey MainMenuTabItemStyleKey = new StaticResourceKey(typeof(ResourceKeys), "MainMenuTabItemStyleKey");
        
        #endregion

    }
}
