﻿using personalplaner.common.mvvm.factory;
using personalplaner.servicemodel.dataaccess;
using personalplaner.common;

namespace personalplaner.gui.common.viewmodels.factories
{
	public class LoginDialogModelFactory : IFactory
	{
		#region IFactory Members
		
		public object CreateViewModel(System.Windows.DependencyObject sender)
        {
			var vm = new LoginDialogViewModel(sender);

			vm.ServiceLocator.RegisterService<IDatabaseDataAccess>(new DatabaseDataAccess(SettingsProvider.Settings));

            return vm;
		}

		#endregion
	}
}
