﻿using personalplaner.common;
using personalplaner.common.mvvm.factory;
using personalplaner.servicemodel.dataaccess;

namespace personalplaner.gui.plugins.dienstplan.viewmodels.factories
{
	public class PrintViewModelFactory : IFactory
	{
		public object CreateViewModel(System.Windows.DependencyObject sender)
		{
			var vm = new PrintViewViewModel(sender);

            vm.ServiceLocator.RegisterService<IOptionsDataAccess>(new OptionsDataAccess(SettingsProvider.Settings));

			return vm;
		}
    }
}
