﻿using personalplaner.common;
using personalplaner.common.mvvm.factory;
using personalplaner.servicemodel.dataaccess;

namespace personalplaner.gui.stamm.viewmodels.factories
{
	public class EditSaldoModelFactory : IFactory
	{
		#region IFactory Members
		
		public object CreateViewModel(System.Windows.DependencyObject sender)
        {
			var vm = new EditSaldoViewModel(sender);

			vm.ServiceLocator.RegisterService<IPlanSchemaDataAccess>(new PlanSchemaDataAccess(SettingsProvider.Settings));
			vm.ServiceLocator.RegisterService<IPlanDataAccess>(new PlanDataAccess(SettingsProvider.Settings));
            
            return vm;
		}

		#endregion
	}
}
