﻿using personalplaner.common;
using personalplaner.common.mvvm.factory;
using personalplaner.servicemodel.dataaccess;

namespace personalplaner.gui.stamm.viewmodels.factories
{
    public class SetPersonAnstellungModelFactory : IFactory
	{
		#region IFactory Members
		
		public object CreateViewModel(System.Windows.DependencyObject sender)
        {
            var vm = new SetPersonAnstellungViewModel(sender);

            vm.ServiceLocator.RegisterService<IAnstellungDataAccess>(new AnstellungDataAccess(SettingsProvider.Settings));

            return vm;
		}

		#endregion
	}
}
