﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using personalplaner.gui.stamm.viewmodels;
using personalplaner.common.controls;

namespace personalplaner.gui.stamm.views
{
    /// <summary>
    /// Interaction logic for SetPersonAbteilung.xaml
    /// </summary>
    public partial class SetPersonAbteilung : BaseControl //WindowExt
    {
        public SetPersonAbteilung(int prsid)
        {
            InitializeComponent();

            var dc = DataContext as SetPersonAbteilungViewModel;
            if (dc != null)
                dc.PrsID = prsid;
        }

		public SetPersonAbteilung(int prsid, DateTime datumvon, DateTime datumbis, int maxpensum)
		{
			InitializeComponent();

			var dc = DataContext as SetPersonAbteilungViewModel;
			if (dc == null)
				return;

			dc.PrsID = prsid;
			dc.PersonAbteilungModel.Von = datumvon;
			dc.PersonAbteilungModel.Bis = datumbis;
			dc.PersonAbteilungModel.MaxPensum = maxpensum;
		}
    }
}
