﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using personalplaner.gui.stamm.viewmodels;
using personalplaner.common.controls;

namespace personalplaner.gui.stamm.views
{
	/// <summary>
	/// Interaction logic for SetArbeitspensum.xaml
	/// </summary>
    public partial class SetPersonPensum : BaseControl//WindowExt
	{
		public SetPersonPensum(int prsid)
		{
			InitializeComponent();

			var dc = DataContext as SetPersonPensumViewModel;
			if (dc != null)
				dc.PrsID = prsid;
		}

        public bool IsKuendigung
        {
            get
            {
                var dc = DataContext as SetPersonPensumViewModel;
                if (dc != null)
                    return dc.Model.IsKuendigung;

                return false;
            }
        }

        public bool PensumChanged
        {
            get
            {
                var dc = DataContext as SetPersonPensumViewModel;
                if (dc != null)
                    return dc.PensumChanged;

                return false;
            }
        }
	}
}
