﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using personalplaner.common.controls;
using personalplaner.plugins.plananalysis.viewmodels;

namespace personalplaner.plugins.plananalysis
{
	/// <summary>
	/// Interaction logic for AnalysisView.xaml
	/// </summary>
	public partial class AnalysisView : BaseControl
	{
		public AnalysisView(int prsid)
		{
			InitializeComponent();

			var dc = yearOverview.DataContext as YearOverviewViewModel;
            if (dc != null)
               dc.PrsId = prsid;

			var h = holidayOverview.DataContext as HolidayOverviewViewModel;
			if (h != null)
				h.PrsId = prsid;
		}


	}
}
