﻿using personalplaner.business.common;
using personalplaner.common.mvvm.common;
using personalplaner.common.services;

namespace personalplaner.servicemodel
{
    public class BaseDataAccess
    {
        public BaseDataAccess(ISettingsProvider settings)
        {
            Settings = settings;
        }

        public ISettingsProvider Settings
        {
            get;
            set;
        }

        #region MessageBox

        protected IMessageBoxService MessageBox
        {
            get
            {
                return ServiceLocator.GetGlobalService<IMessageBoxService>();
            }
        }

        #endregion
    }
}
