﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Gencode.Common.Errorhandling
{
	public interface IHandler
	{
		void ShowError(string errorMessage);
		void ShowError(string errorMessage, string caption);
		void LoggError(string errorMessage);
		void LoggError(string caption, string location, string errorText);
		void LoggError(string caption, Exception exception);
	}
}
