using System;
using System.Collections.Generic;
using System.Text;
using Gencode.PrsCommon.App;

namespace Personalplaner
{
    public class PlanOption
    {
        static int planShowDay;
        static int planShowPercent;
        static int planColourWeekend;
        static int saColorARGB;
        static string saColorName;
        static int soColorARGB;
        static string soColorName;
        static int dienstCountPlusARGB;
        static string dienstCountPlusName;
        static int dienstCountEnoughARGB;
        static string dienstCountEnoughName;
        static int dienstCountMinusArgb;
        static string dienstCountMinusName;
        static int dienstGridHeader;
        static string ferienColorName;
        static int ferienColorARGB;
		static int printDif;
		static int printSoll;
		static int printHaben;


        public static int FerienColorARGB
        {
            get { return PlanOption.ferienColorARGB; }
            set { PlanOption.ferienColorARGB = value; }
        }
        public static string FerienColorName
        {
            get { return PlanOption.ferienColorName; }
            set { PlanOption.ferienColorName = value; }
        }

        public static int DienstGridHeader
        {
            get { return PlanOption.dienstGridHeader; }
            set { PlanOption.dienstGridHeader = value; }
        }
        public static string DienstCountMinusName
        {
            get { return PlanOption.dienstCountMinusName; }
            set { PlanOption.dienstCountMinusName = value; }
        }
        public static int DienstCountMinusArgb
        {
            get { return PlanOption.dienstCountMinusArgb; }
            set { PlanOption.dienstCountMinusArgb = value; }
        }
        public static string DienstCountEnoughName
        {
            get { return PlanOption.dienstCountEnoughName; }
            set { PlanOption.dienstCountEnoughName = value; }
        }
        public static int DienstCountEnoughARGB
        {
            get { return PlanOption.dienstCountEnoughARGB; }
            set { PlanOption.dienstCountEnoughARGB = value; }
        }
        public static string DienstCountPlusName
        {
            get { return PlanOption.dienstCountPlusName; }
            set { PlanOption.dienstCountPlusName = value; }
        }
        public static int DienstCountPlusARGB
        {
            get { return PlanOption.dienstCountPlusARGB; }
            set { PlanOption.dienstCountPlusARGB = value; }
        }
        public static int SoColorARGB
        {
            get { return PlanOption.soColorARGB; }
            set { PlanOption.soColorARGB = value; }
        }
        public static string SoColorName
        {
            get { return PlanOption.soColorName; }
            set { PlanOption.soColorName = value; }
        }
        public static string SaColorName
        {
            get { return PlanOption.saColorName; }
            set { PlanOption.saColorName = value; }
        }
        public static int SaColorARGB
        {
            get { return PlanOption.saColorARGB; }
            set { PlanOption.saColorARGB = value; }
        }

        static public int PlanColourWeekend
        {
            get { return planColourWeekend; }
            set { planColourWeekend = value; }
        }
        static public int PlanShowPercent
        {
            get { return planShowPercent; }
            set { planShowPercent = value; }
        }
        static public int PlanShowDay
        {
            get { return planShowDay; }
            set { planShowDay = value; }
        }

		public static int PrintSaldoDiff
		{
			get { return printDif; }
		}

		public static int PrintSoll
		{
			get { return printSoll; }
		}

		public static int PrintHaben
		{
			get { return printHaben; }
		}

        static public void SetData()
        {
            planShowDay = (int)Option.NumberValue("displayoptions", 1);
            planShowPercent = (int)Option.NumberValue("displayoptions", 2);
            planColourWeekend = (int)Option.NumberValue("displayoptions", 3);
            dienstGridHeader = (int)Option.NumberValue("DienstGrid", 1);

            saColorARGB = (int)Option.NumberValue("GridColor", 1);
            saColorName = Option.StringValue("GridColor", 1);

            soColorARGB = (int)Option.NumberValue("GridColor", 2);
            soColorName = Option.StringValue("GridColor", 2);

            ferienColorARGB = (int)Option.NumberValue("GridColor", 3);
            ferienColorName = Option.StringValue("GridColor", 3);

            dienstCountPlusName = Option.StringValue("DienstGridColor", 1);
            dienstCountPlusARGB = (int)Option.NumberValue("DienstGridColor", 1);

            dienstCountEnoughName = Option.StringValue("DienstGridColor", 2);
            dienstCountEnoughARGB = (int)Option.NumberValue("DienstGridColor", 2);

            dienstCountMinusName = Option.StringValue("DienstGridColor", 3);
            dienstCountMinusArgb = (int)Option.NumberValue("DienstGridColor", 3);

			printDif = (int)Option.NumberValue("PrintOptions", 1);
			printSoll = (int)Option.NumberValue("PrintOptions", 2);
			printHaben = (int)Option.NumberValue("PrintOptions", 3);
        }
    }
}
