﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Gencode.Controls.CollapsibleControl;
using Gencode.PrsCommon.App;

namespace Personalplaner.Modules.Dienstplan
{
    public partial class ColorSelect : CollapsibleItem
    {
        DiensplanSelector controler;

		public DiensplanSelector Controler
		{
			set
			{
				controler = value;
			}
		}

		public ColorSelect()
		{
			InitializeComponent();
		}

        public ColorSelect(DiensplanSelector controler)
            : base("Farbe")
        {
            this.controler = controler;
            InitializeComponent();
        }

		private void ColorSelect_Load(object sender, EventArgs e)
		{

		}

        private void btnColor_Click(object sender, EventArgs e)
        {
            ColorDialog color = new ColorDialog();
            if (color.ShowDialog() == DialogResult.OK)
            {
                PlanUtil.ARGB = color.Color.ToArgb();
                txtColor.BackColor = color.Color;
            }
        }
    }
}
