﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Gencode.PrsCommon.App
{
	public class PlanOption : Option
	{
		public static int SaturdayColorRGB
		{
			get
			{
				return (int)NumberValue("GridColor", 1);
			}
		}

		public static int SundayColorRGB
		{
			get
			{
				return (int)NumberValue("GridColor", 2);
			}
		}

		public static int ShowDaysInPlan
		{
			get
			{
				return (int)NumberValue("DisplayOptions", 1);
			}
		}

		public static int ShowPersonPercentInPlan
		{
			get
			{
				return (int)Option.NumberValue("DisplayOptions", 2);
			}
		}

		public static int DienstCountPlusColor
		{
			get
			{
				return (int)Option.NumberValue("DienstGridColor", 1);
			}
		}

		public static int DienstCountEnoughColor
		{
			get
			{
				return (int)Option.NumberValue("DienstGridColor", 2);
			}
		}

		public static int DienstCountMinusColor
		{
			get
			{
				return (int)Option.NumberValue("DienstGridColor", 3);
			}
		}
	}
}
