﻿using System;

namespace Gencode.PrsCommon.Data.DataObjects
{
    public class SchemaPerson : Person.Person
    {
        Abteilung Abteilung;

        public SchemaPerson(int prsID, int schemaID, int abteilungID, int position)
            : base()
        {
            SchemaID = schemaID;
            Position = position;

            Init(prsID);
            Abteilung = new Abteilung(abteilungID);
        }

        internal override void Init(int prsID)
        {
            base.Init(prsID);
        }

        public int SchemaID
        {
            get;
            private set;
        }

        public int AbteilungID
        {
            get { return Abteilung.AbteilungID; }
        }

        public string AbteilungName
        {
            get { return Abteilung.AbteilungName; }
        }

        public int Position
        {
            get;
            private set;
        }

        public int ARGB
        {
            get;
            private set;
        }
    }
}
