﻿using System;
using System.Collections.Generic;
using System.Text;
using Gencode.PrsCommon.Data.Abteilung;
using System.Data;

namespace Gencode.PrsCommon.Data.Person
{
	public class PersonAbteilung : Person
	{
		AbteilungPerson[] abteilung;

		public PersonAbteilung(int prsid)
			: base(prsid)
		{
			DataView dv = PersonData.GetPersonAbteilung(prsid);

			if (dv.Count > 0)
			{
				abteilung = new AbteilungPerson[dv.Count];
				for (int i = 0; i < dv.Count; i++)
				{
					abteilung[i] = new AbteilungPerson(int.Parse(dv[i].Row["abteilungid"].ToString()), prsid);
				}
			}

		}

		public int CountAbteilung
		{
			get
			{
				if (abteilung != null)
					return abteilung.Length;
				return 0;
			}
		}

		public AbteilungPerson[] Abteilung
		{
			get
			{
				if (CountAbteilung > 0)
					return abteilung;
				return null;
			}
		}

	}
}
