﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Gencode.PrsUtil.Dialog.Stammdaten.PersonWizard
{
	public partial class AddPersonWizard : Gencode.Gengui.Wizzard.WizzardDialog
	{
		string mandid = string.Empty;

		public AddPersonWizard(string mandid)
		{
			this.mandid = mandid;

			InitializeComponent();
			InitializeControls();
		}

		private void InitializeControls()
		{
			AddControl("persondata", new PersonData(string.Empty, "aditionaldata", this, mandid));
			AddControl("aditionaldata", new AditionalData("persondata", "pensum", this, mandid));
			AddControl("pensum", new AbteilungPensum("aditionaldata", string.Empty, this, mandid));

			//RepositionButtons();

			EnableCanleButton = true;
		}

		public override void Finish()
		{
			this.Close();
		}
	}
}
