﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Gencode.PrsCommon.Data.DataObjects;

namespace Gencode.PrsWeb.Controls.GridControls
{
	public class DienstForPlanGrid : Dienst
	{
		public DienstForPlanGrid(string cellID) :
			base()
		{
			CellID = cellID;
		}

		public DienstForPlanGrid(int dienstID, string mandid, string cellID) :
			base(dienstID, mandid)
		{
			CellID = cellID;
		}

		public string CellID
		{
			get;
			set;
		}

		public int RowIndex
		{
			get;
			set;
		}

		public string SollID
		{
			get
			{
				return ("S" + RowIndex);
			}
		}

		public double Soll
		{
			get;
			set;
		}

		public string HabenID
		{
			get
			{
				return ("H" + RowIndex);
			}
		}

		public double Haben
		{
			get;
			set;
		}

		public string DiffID
		{
			get
			{
				return ("D" + RowIndex);
			}
		}

		public double Diff
		{
			get;
			set;
		}

		public string VortrID
		{
			get
			{
				return ("V" + RowIndex);
			}
		}

		public double Vortrag
		{
			get;
			set;
		}
	}
}
