print'Personalplaner Update Prozeduren'
go
print'Version: 1.6.29.1002'
go
 
if not exists (select 1 from PrsVerwaltung where Version = '1.6.29.1002')
begin
	insert into PrsVerwaltung (Version, name, Datum) values ('1.6.29.1002', 'Personalplaner', getdate())
	print 'Version aktualisiert...'
end
go
 

if not exists (select o.name from sysobjects o, syscolumns c where o.name='DienstZeit' and c.name='datvon' and c.id=o.id)
begin
alter table DienstZeit
   add datvon  datetime  not null default '20080101'
end
go

print 'field ''datvon'' on table ''DienstZeit'': done...'
go


if not exists (select o.name from sysobjects o, syscolumns c where o.name='DienstZeit' and c.name='datbis' and c.id=o.id)
begin
alter table DienstZeit
   add datbis  datetime  not null default '20300101'
end
go

print 'field ''datbis'' on table ''DienstZeit'': done...'
go


if not exists (select o.name from sysobjects o, syscolumns c where o.name='DienstZeit' and c.name='abteilungzeit' and c.id=o.id)
begin
alter table DienstZeit
   add abteilungzeit int not null default 0
end
go

print 'field ''abteilungszeit'' on table ''DienstZeit'': done...'
go

if not exists (select o.name from sysobjects o, syscolumns c where o.name='Anstellung' and c.name='ausgelernt' and c.id=o.id)
begin
alter table Anstellung
   add ausgelernt int not null default 0
end
go

print 'field ''ausgelernt'' on table ''Anstellung'': done...'
go

--Change pk
alter table PersonZeiten drop constraint PK_PersonZeit
go
alter table PersonZeiten add constraint PK_PersonZeit primary key (PrsID,JahrID)
go

print 'pk ''on table ''PersonZeiten'': changed...'
go

--copy data
update DienstZeit
  set abteilungzeit = d.GanzerTag
 from DienstZeit dz
inner join Dienst d
   on d.DienstID=dz.DienstID
go

print 'Data: copy data to dienstzeithist'
go

