print 'begin defaultdata'
go

if exists (select 1 from Options where typ = 'Arbeitszeitprotag')
begin
  delete from Options where typ = 'Arbeitszeitprotag'
end
exec set_options 'Arbeitszeitprotag', 0, 8, 'Stunden pro Tag'
exec set_options 'Arbeitszeitprowoche', 0, 40, 'Stunden pro Woche'
go

if exists (select 1 from Options where typ = 'Ferientage')
begin
  delete from Options where typ = 'Ferientage'
end
exec set_options 'Ferientage', 0, 20, 'Tage pro Jahr'
go

if exists (select 1 from Options where typ = 'DisplayOptions')
begin
  delete from Options where typ = 'DisplayOptions'
end
	exec set_options 'DisplayOptions',1,1,'Tage im Plan anzeigen'
	exec set_options 'DisplayOptions',2,1,'Anstellungsprozente im Plan Anzeigen'
	exec set_options 'DisplayOptions',3,1,'Wochenende im Plan Einfrben'
	exec set_options 'DisplayOptions',4,0,'PrsId anzeigen'
	exec set_options 'DisplayOptions',5,1,'Darstellungs Name'
go

if exists (select 1 from Options where typ = 'Planungszeitraum')
begin
  delete from Options where typ = 'Planungszeitraum'
end
exec set_options 'Planungszeitraum',0,1,'Planungszeitraum pro Monat oder pro Woche' -- 1:Monat 2:Woche
go

if exists (select 1 from Options where typ = 'Monat')
begin
  delete from Options where typ = 'Monat'
end
	exec set_options 'Monat',1,0,'Januar'
	exec set_options 'Monat',2,0,'Februar'
	exec set_options 'Monat',3,0,'Mrz'
	exec set_options 'Monat',4,0,'April'
	exec set_options 'Monat',5,0,'Mai'
	exec set_options 'Monat',6,0,'Juni'
	exec set_options 'Monat',7,0,'Juli'
	exec set_options 'Monat',8,0,'August'
	exec set_options 'Monat',9,0,'September'
	exec set_options 'Monat',10,0,'Oktober'
	exec set_options 'Monat',11,0,'November'
	exec set_options 'Monat',12,0,'Dezember'
go

if exists (select 1 from Options where typ = 'Diensttyp')
begin
  delete from Options where typ = 'Diensttyp'
end
	exec set_options 'Diensttyp',1,0,'Arbeits Dienst'
	exec set_options 'Diensttyp',2,0,'Ferien'
	exec set_options 'Diensttyp',3,0,'Frei'
	exec set_options 'Diensttyp',4,0,'Krank'
	exec set_options 'Diensttyp',5,0,'Schule'
	exec set_options 'Diensttyp',6,0,'Militr'
go

if exists (select 1 from Options where typ = 'GridColor')
begin
  delete from Options where typ = 'GridColor'
end
	exec set_options 'GridColor',1,-2573657,'ffd8baa7' -- Samstag
	exec set_options 'GridColor',2,-4219542,'ffbf9d6a' -- Sonntag
	exec set_options 'GridColor',3,-8355712,'Gray' -- Ferien
go

if exists (select 1 from Options where typ = 'DienstGridColor')
begin
  delete from Options where typ = 'DienstGridColor'
end
	exec set_options 'DienstGridColor',1,-1,'White' -- Plus
	exec set_options 'DienstGridColor',2,-16711936,'Lime' -- genug
	exec set_options 'DienstGridColor',3,-65536,'Red' -- Minus
go

if exists (select 1 from Options where typ = 'DienstGrid')
begin
  delete from Options where typ = 'DienstGrid'
end
exec set_options 'DienstGrid',1,0,'Header anzeigen'
go

if exists (select 1 from Options where typ = 'DienstOrColorTyp')
begin
  delete from Options where typ = 'DienstOrColorTyp'
end
exec set_options 'DienstOrColorTyp',1,0,'Dienst'
exec set_options 'DienstOrColorTyp',2,0,'Farbe'
go

if exists (select 1 from Options where typ = 'PlanOrPersonTyp')
begin
  delete from Options where typ = 'PlanOrPersonTyp'
end
exec set_options 'PlanOrPersonTyp',1,0,'Plan'
exec set_options 'PlanOrPersonTyp',2,0,'Person'
go

if exists (select 1 from Options where typ = 'PersonDetail')
begin
  delete from Options where typ = 'PersonDetail'
end
exec set_options 'PersonDetail',1,0,'Diverses'
exec set_options 'PersonDetail',2,0,'Jahresplan'
exec set_options 'PersonDetail',3,0,'Ferien'
go

if exists (select 1 from Options where typ = 'PersonDisplaOptions')
begin
  delete from Options where typ = 'PersonDisplaOptions'
end
exec set_options 'PersonDisplaOptions',1,1,'Abteilungsname in Grid zeigen'
exec set_options 'PersonDisplaOptions',2,1,'Monat in Grid zeigen'
exec set_options 'PersonDisplaOptions',3,1,'Saldo in Grid zeigen'
exec set_options 'PersonDisplaOptions',4,1,'Planname in Grid zeigen'
go

if exists (select 1 from Options where typ = 'PrintOptions')
begin
  delete from Options where typ = 'PrintOptions'
end
exec set_options 'PrintOptions',1,1,'Differenz andrucken'
exec set_options 'PrintOptions',2,1,'Soll andrucken'
exec set_options 'PrintOptions',3,1,'Haben andrucken'
exec set_options 'PrintOptions',4,1,'Name Drucktyp'
go

if exists (select 1 from Options where typ = 'ShemaOptions')
begin
  delete from Options where typ = 'ShemaOptions'
end
exec set_options 'ShemaOptions',1,0,'Schema 0'
go

if exists (select 1 from Options where typ = 'SchemaSaveType')
begin
  delete from Options where typ = 'SchemaSaveType'
end
exec set_options 'SchemaSaveType',1,1,'Art wie das Schema gespeichert wird'
go

if exists (select 1 from Options where typ = 'Style')
begin
  delete from Options where typ = 'Style'
end
	exec set_options 'Style',1,0,'Dark'
go

if exists (select 1 from Options where typ = 'GeneralOptions')
begin
  delete from Options where typ = 'GeneralOptions'
end
	exec set_options 'GeneralOptions',1,0,'Show Database Name'
	exec set_options 'GeneralOptions',2,1,'Delete layout on delete plan'
	exec set_options 'GeneralOptions',3,1,'Reset last Layout after deleting a layout'
go


print 'end defaultdata'
go