if exists (select 1 from sysobjects where name = 'vw_dienst' and type = 'V')
begin
   drop view vw_dienst
   print 'View: vw_dienst deleted ...'
end
go
create view vw_dienst
as
   select 
    d.DienstID,
    d.Name,
    b.Kurztext,
    b.Langtext,
    b.BeschrID
   from Dienst d
   left outer join Beschreibung b
   on b.BeschrID = d.BeschrID
go
print 'View: vw_dienst done ...'
go