if exists (select 1 from sysobjects where name = 'set_beschreibung' and type = 'P')
begin
   drop procedure set_beschreibung
   print 'Procedure: set_beschreibung deleted ...'
end
go
create procedure set_beschreibung(
  @beschrid          int           = 1,
  @dienstname        varchar(32)   = 'Dienst',
  @beschreibung      varchar(250)  = 'Dienst Beschreibung'
)
as
begin
  set nocount on
   insert into Beschreibung (BeschrID, Kurztext, Langtext) values (@beschrid, @dienstname, @beschreibung)
end
go
print 'Procedure: set_beschreibung done ...'
go
grant exec on set_beschreibung to prsadmins with grant option
go
grant exec on set_beschreibung to prsusers
go

