if exists (select 1 from sysobjects where name = 'upd_abteilung' and type = 'P')
begin
   drop procedure upd_abteilung
   print 'Procedure: upd_abteilung deleted ...'
end
go
create procedure upd_abteilung(
  @abteilungid       int           = 1,
  @abteilungname     varchar(32)   = 'Abteilung neu',
  @beschreibung      varchar(250)  = 'Abteilung Beschreibung neu',
  @stundenprotag     decimal(5,2)  = 20
--  @gerechnet         int           = 1
)
as
begin
  set nocount on
  declare @beschrid   int
   select @beschrid = beschrid
     from abteilung
    where abteilungid = @abteilungid
  exec upd_beschreibung @beschrid, @abteilungname, @beschreibung
   update abteilung 
      set abteilung.name = @abteilungname,
          abteilung.stundenprotag = @stundenprotag
    where abteilung.abteilungid = @abteilungid
end
go
print 'Procedure: upd_abteilung done ...'
go
grant exec on upd_abteilung to prsadmins with grant option
go
grant exec on upd_abteilung to prsusers
go

