if exists (select 1 from sysobjects where name = 'upd_arbeitstage_tage' and type = 'P')
begin
   drop procedure upd_arbeitstage_tage
   print 'Procedure: upd_arbeitstage_tage deleted ...'
end
go
-- setzt anzahl tage pro monat fest
create procedure upd_arbeitstage_tage(
  @jahrid        int          = 1,
  @typwert       int          = 1,
  @Tage          decimal(5,2) = 23   --Anzahl tage im monat an denen gearbeitet wird / anzahl bezahlte tage pro feiertag 
)
as
begin

  set nocount on

  update ArbeitsTage
     set Tage = @Tage
   where JahrID = @jahrid
     and typwert = @typwert

end
go
print 'Procedure: upd_arbeitstage_tage done ...'
go
grant exec on upd_arbeitstage_tage to prsadmins with grant option
go
grant exec on upd_arbeitstage_tage to prsusers
go

