if exists (select 1 from sysobjects where name = 'upd_beschreibung' and type = 'P')
begin
   drop procedure upd_beschreibung
   print 'Procedure: upd_beschreibung deleted ...'
end
go
create procedure upd_beschreibung(
  @beschrid          int           = 6,
  @dienstname        varchar(32)   = 'Dienst',
  @beschreibung      varchar(250)  = 'Dienst Beschreibung'
)
as
begin
  set nocount on
   update Beschreibung 
      set Kurztext = @dienstname,
          Langtext = @beschreibung
    where BeschrID = @beschrid
end
go
print 'Procedure: upd_beschreibung done ...'
go
grant exec on upd_beschreibung to prsadmins with grant option
go
grant exec on upd_beschreibung to prsusers
go

