if exists (select 1 from sysobjects where name = 'upd_dienst' and type = 'P')
begin
   drop procedure upd_dienst
   print 'Procedure: upd_dienst deleted ...'
end
go
create procedure upd_dienst(
  @dienstid          int           = 1,
  @dienstname        varchar(32)   = 'Abteilung neu',
  @kurztext          varchar(60)   = 'kurztext',
  @beschreibung      varchar(250)  = 'Abteilung Beschreibung neu',
--  @einsatzprotag     int           = 1,
  @gerechnet         int           = 1,
  @RGB                int           = 0,
  @ColorName          varchar(32)   = '',
  @typ               int           = 1,
  @GanzerTag         int           = 0
)
as
begin
  set nocount on
  declare @beschrid   int
   select @beschrid = BeschrID
     from Dienst
    where DienstID = @dienstid
  exec upd_beschreibung @beschrid, @kurztext, @beschreibung
   update Dienst 
      set Dienst.Name = @dienstname,
--          einsatzprotag = @einsatzprotag,
          Gerechnet = @gerechnet,
          RGB = @RGB,
          ColorName = @ColorName,
          Typ = @typ,
          GanzerTag = @GanzerTag
    where DienstID = @dienstid

end
go
print 'Procedure: upd_dienst done ...'
go
grant exec on upd_dienst to prsadmins with grant option
go
grant exec on upd_dienst to prsusers
go

