if exists (select 1 from sysobjects where name = 'upd_tageimmonat' and type = 'P')
begin
   drop procedure upd_tageimmonat
   print 'Procedure: upd_tageimmonat deleted ...'
end
go
-- setzt anzahl tage pro monat fest
create procedure upd_tageimmonat(
  @atid        int          = 1,
  @tage          decimal(5,2) = 23   --Anzahl tage im monat an denen gearbeitet wird / anzahl bezahlte tage pro feiertag 
)
as
begin

  set nocount on

  update ArbeitsTage
     set Tage = @tage
   where ATID = @atid

end
go
print 'Procedure: upd_tageimmonat done ...'
go
grant exec on upd_tageimmonat to prsadmins with grant option
go
grant exec on upd_tageimmonat to prsusers
go

