# awk  program
#

BEGIN {
FS = "\r\n"
namebase="stp_"
typebase=".sql"
filenum=0
curfile=""
outfile="au_procs.lst"
out2file="stpbuild.lst"
buildfile="buildlst.bat"
fromdir="stp\\"
curstpname=""
stpcnt=0
srcdir = ""
trgfile = ""
echo_on = 0
    icnt = 0
# irelevant STPs in lowercase
    IrelevantSTP[++icnt] = "as_checksecurity"
    IrelevantSTP[++icnt] = "on"
}

#  -----------------------body--------------beg

{
    local l, pc

#    printf  $1
#    /*====procedure script  tp_addabgang ====*/

 print "'" $LINE "'"

    split($Line, cmd, " ")

    if ((tolower(cmd[1]) == "exclude") && (cmd[2] != ""))
    {
        IrelevantSTP[++icnt] = tolower(cmd[2])
    }
    else if (cmd[1] == "#")
    {
        srcdir = cmd[2]
        trgfile = cmd[3]
        outfile= cmd[3] ".lst"
        out2file= cmd[2] ".lst"
        buildfile = cmd[3] ".bat"
        print        outfile
        print        out2file
        print        buildfile
        fromdir= cmd[2] "\\"
    }
    else
    {
        gen_file = $LINE
        
        a = 1
        if (file_exist(gen_file) == 0)
        {
            gen_file = fromdir gen_file
            if (file_exist(gen_file) == 0)
            {
                a = 0
                print "stpbuild error -- File (" gen_file ") does not exist"
            }
            curstpname = ""
        }
        
        if (a > 0)
        {
            for (l = 1; a > 0; ++l)
            {
                if ((stpcnt == 0) && (echo_on == 0))
                {
                    ++echo_on
                    printf "@echo on\n" >buildfile
                }
            
                gf_line = ""
                a = getline gf_line <gen_file
#                print a, "line: " gf_line
                parcnt = split(tolower(gf_line), par, "[ 	]*")
            
# print "++" parx[1]

                if ((par[1] == "/*====procedure") || (par[1] == "/*====PROCEDURE"))
                {
                    split(par[3], expar, "(")
                    if (curstpname != expar[1])
                    {
                        ++stpcnt
                        curstpname = expar[1]
                        stpcallscnt[stpcnt] = 0
                        stpmade[stpcnt] = 0
                        stpnames[stpcnt] = expar[1]
                    }
#       #        printf "%s\n", $1 >curfile
#       #        printf "if exist %s%s del %s%s >nul\n", par[3], typebase, par[3], typebase >>renfile
#       #        printf "ren %s %s%s\n", curfile, par[3], typebase >>renfile
                }
#                else if ((par[1] == "create") && (par[2] == "procedure"))
#                {
#                    split(par[3], expar, "(")
#                    if (curstpname != expar[1])
#                    {
#                        ++stpcnt
#                        curstpname = expar[1]
#                        stpcallscnt[stpcnt] = 0
#                        stpmade[stpcnt] = 0
#                        stpnames[stpcnt] = expar[1]
#                    }
#                }
                else
                {
                    for (i = 1; i <= parcnt; ++i)
                    {
                        if ((par[i] == "exec") || (par[i] == "EXEC") || (par[i] == "execute") || (par[i] == "EXECUTE"))
                        {
                            if (par[i + 1] != "")
                            {
                                split(par[i+1], expar, "(")
# print     ">" expar[1] "<"
                                if (is_irelevant(expar[1]))
                                    continue;
                                if (tolower(par[i + 1]) == tolower(curstpname))
                                    continue;
								add_called_stor_proc(expar[1])
#                                stpcallscnt[stpcnt] = stpcallscnt[stpcnt] + 1
#                                stpcallnames[stpcnt][stpcallscnt[stpcnt]] = expar[1]
                            }
                        }
                        else if ((par[i] == "create") && ((par[i+1] == "procedure") || (par[i+1] == "function") || (par[i+1] == "trigger")))
                        {
                            split(par[i+2], expar, "(")
                            if (curstpname != expar[1])
                            {
                                ++stpcnt
                                curstpname = expar[1]
                                stpcallscnt[stpcnt] = 0
                                stpmade[stpcnt] = 0
                                stpnames[stpcnt] = expar[1]
                            }
                        }
                    }
                }
            }
            close(gen_file)
#            printf "%s\n", $1 >>curfile
        }
    }
}

function add_called_stor_proc(spname)
{
	local found, i
	
	found = 0
	if (stpcallscnt[stpcnt] > 0)
	{
		for (i = 1; i <= stpcallscnt[stpcnt]; i++)
		{
			if (tolower(spname) == tolower(stpcallnames[stpcnt][i]))
			{
				found = 1;
				break;
			}
		}
	}
	if (found == 0)
	{
		stpcallscnt[stpcnt] = stpcallscnt[stpcnt] + 1
		stpcallnames[stpcnt][stpcallscnt[stpcnt]] = expar[1]
	}
}

function file_exist(file)
{
    local a, lline, lfile

    lfile = file
    a = getline lline <lfile
    close(lfile)
    if (a > 0)
            return 1
    return 0
}

function is_irelevant(stp_namein)
{
    local stp_name

    stp_name = tolower(stp_namein)
    for (o = 1; o <= icnt; ++o)
    {
        if (stp_name == IrelevantSTP[o])
        {
#            print stp_name
            return 1;
        }
    }
    return 0;
}

function is_auftragstp(stp_name)
{
    local o

    for (o = 1; o <= stpcnt; ++o)
    {
        if (stp_name == stpnames[o])
        {
#            print stp_name
            return o;
        }
    }
    return 0;
}

function was_made(off)
{
    return stpmade[off]
}

function save_notmade()
{
    for (o = 1; o <= notmade; ++o)
    {
            soffnotmade[o] = offnotmade[o]
    }
    snotmade = notmade
}

function make_whole_rest()
{
#    print "loops: " loops
    notmade = 0
    if (snotmade != 0)
    {
        printf "rem === stored procedures called in loop ===\n" >>buildfile
        for (p = 1; p <= snotmade; ++p)
        {
            curoff =  soffnotmade[p]
# printf "not made offset %d, stpname (%s)\n", curoff, stpnames[curoff] >>outfile

            stpmade[curoff] = 1
            printf "%s %d\n", stpnames[curoff], stpcallscnt[curoff] >>outfile
            printf "type %s%s.sql >>%%1\n", fromdir, stpnames[curoff] >>buildfile
            printf "rem === %s %d ===\n", stpnames[curoff], stpcallscnt[curoff] >>buildfile
            for (r = 1; r <= stpcallscnt[curoff]; ++r)
            {
                printf "   %s\n", stpcallnames[curoff][r]>>outfile
                printf "rem ===   %s ===\n", stpcallnames[curoff][r]>>buildfile
            }
        }

    }
    return snotmade
}

function make_notmade()
{
#    print "loops: " loops
    notmade = 0
    if (snotmade != 0)
    {
        for (p = 1; p <= snotmade; ++p)
        {
            curoff =  soffnotmade[p]
# printf "not made offset %d, stpname (%s)\n", curoff, stpnames[curoff] >>outfile
            ok = 1
            for (q = 1; q <= stpcallscnt[curoff]; ++q)
            {
# printf "stpcallnames: (%s)\n", stpcallnames[curoff][q] >>outfile
                astp_off = is_auftragstp(stpcallnames[curoff][q])
# printf "is_auftragstp = %d\n", astp_off >>outfile
                if (astp_off > 0)
                {
                    made_now = was_made(astp_off)
# printf "stp (%s) was_made = %d\n", stpnames[astp_off], made_now >>outfile
                    if (made_now > 0)
                    {
                        continue
                    }
                    else
                    {
                        ++notmade
                        offnotmade[notmade] = curoff
                        ok = 0
                        break;
                    }
                }
                else
                    continue
            }
            if (ok == 1)
            {
                stpmade[curoff] = 1
                printf "%s %d\n", stpnames[curoff], stpcallscnt[curoff] >>outfile
                printf "type %s%s.sql >>%%1\n", fromdir, stpnames[curoff] >>buildfile
                for (r = 1; r <= stpcallscnt[curoff]; ++r)
                {
                    printf "   %s\n", stpcallnames[curoff][r]>>outfile
                }
            }
        }

    }
    return snotmade
}

#  -----------------------body--------------end
END {
    printf "Calls List:\n" >outfile
#    for (i = 1; i <= stpcnt; ++i)
#    {
#        printf "%s %d\n", stpnames[i], stpcallscnt[i] >>out2file
#        for (j = 1; j <= stpcallscnt[i]; ++j)
#        {
#            printf "    %s\n", stpcallnames[i][j] >>out2file
#        }
#    }
    notmade = 0
    loops = 1
    for (i = 1; i <= stpcnt; ++i)
    {
        if (stpcallscnt[i] == 0)
        {
            printf "%s %d\n", stpnames[i], stpcallscnt[i] >>outfile
            printf "type %s%s.sql >>%%1\n", fromdir, stpnames[i] >>buildfile
            stpmade[i] = 1
        }
        else
        {
            ++notmade
            offnotmade[notmade] = i
        }
    }

    for (i = 1; i <= 100; ++i)
    {
        save_notmade()
# print "notmade: " notmade
        if (make_notmade() == 0)
            break;
    }
    save_notmade()
# print "notmade: " notmade
	make_whole_rest()
}
