﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace personalplaner.business.dienstplan
{
    public class PlanOverviewHeader : ItemBase
    {
        int _abteilungId;
		public int AbteilungId
        {
            get { return _abteilungId; }
            set
            {
                _abteilungId = value;
                RaisePropertyChanged("AbteilungId");
            }
        }

        string _abteilungName;
        public string AbteilungName
        {
            get { return _abteilungName; }
            set
            {
                _abteilungName = value;
                RaisePropertyChanged("AbteilungName");
            }
        }

        int _planId;
        public int PlanId
        {
            get { return _planId; }
            set
            {
                _planId = value;
                RaisePropertyChanged("PlanId");
            }
        }

        string _planName;
        public string PlanName
        {
            get { return _planName; }
            set
            {
                _planName = value;
                RaisePropertyChanged("PlanName");
            }
        }

		int _prsSchemaId;
		public int PrsSchemaId
		{
			get { return _prsSchemaId; }
			set
			{
				_prsSchemaId = value;
				RaisePropertyChanged("PrsSchemaId");
			}
		}
		
		string _monat;
        public string Monat
        {
            get { return _monat; }
            set
            {
                _monat = value;
                RaisePropertyChanged("Monat");
            }
        }

        double _soll;
        public double Soll
        {
            get { return _soll; }
            set
            {
                _soll = value;
                RaisePropertyChanged("Soll");
            }
        }

        double _haben;
        public double Haben
        {
            get { return _haben; }
            set
            {
                _haben = value;
                RaisePropertyChanged("Haben");
            }
        }

        double _ferien;
        public double Ferien
        {
            get { return _ferien; }
            set
            {
                _ferien = value;
                RaisePropertyChanged("Ferien");
            }
        }

        double _anpassung;
        public double Anpassung
        {
            get { return _anpassung; }
            set
            {
                _anpassung = value;
                RaisePropertyChanged("Anpassung");
            }
		}

		DateTime _von;
		public DateTime Von
		{
			get { return _von; }
			set
			{
				_von = value;
				RaisePropertyChanged("Von");
			}
		}

		DateTime _bis;
		public DateTime Bis
		{
			get { return _bis; }
			set
			{
				_bis = value;
				RaisePropertyChanged("Bis");
			}
		}
	}
}
