﻿using System.Collections.Generic;
using System.Windows.Media;
using System;
using System.Collections;

namespace personalplaner.business.dienstplan.plancollection
{
	public interface IDienstPlanRow : IList<PlanItem>//IList//
    {
        void Initialize(DateTime beginDate, IList<PlanItem> items = null);

        int ID { get; set; }

        string Name { get; set; }

        int AbteilungId { get; set; }

        string Abteilung { get; set; }

        int PlanSchemaId { get; set; }

		int? Pensum { get; set; }

		#region Stunden Soll/Haben

		double? Vortrag { get; set; }
		
		double? Soll { get; set; }
		
		double? Haben { get; set; }
		
		double? Anpassung { get; set; }
		
		double? Differenz { get; }

		#endregion

		#region Coloring

		Color RowColor { get; set; }

		Color HeaderColor { get; set; }

		#endregion
	}
}
