﻿using System;
using personalplaner.business.enums;

namespace personalplaner.business.stamm
{
	public class ArbeitsPlanHeader : ItemBase
	{
		int _planId;
		public int PlanId
		{
			get { return _planId; }
			set
			{
				_planId = value;
				RaisePropertyChanged("PlanId");
			}
		}

		int _arbeitsTageId;
		public int ArbeitsTageId
		{
			get { return _arbeitsTageId; }
			set
			{
				_arbeitsTageId = value;
				RaisePropertyChanged("ArbeitsTageId");
			}
		}

		int _jahrId;
		public int JahrId
		{
			get { return _jahrId; }
			set
			{
				_jahrId = value;
				RaisePropertyChanged("JahrId");
			}
		}

		int _schemaId;
		public int SchemaId
		{
			get { return _schemaId; }
			set
			{
				_schemaId = value;
				RaisePropertyChanged("SchemaId");
			}
		}

		DateTime _von;
		public DateTime Von
		{
			get { return _von; }
			set
			{
				_von = value;
				RaisePropertyChanged("Von");
			}
		}

		DateTime _bis;
		public DateTime Bis
		{
			get { return _bis; }
			set
			{
				_bis = value;
				RaisePropertyChanged("Bis");
			}
		}

		enStatus _status;
		public enStatus Status
		{
			get { return _status; }
			set
			{
				_status = value;
				RaisePropertyChanged("Status");
			}
		}

        string _layout;
        public string Layout
        {
            get
            {
                return _layout;
            }
            set
            {
                _layout = value;
                RaisePropertyChanged("Layout");
            }
        }
	}
}
