﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using personalplaner.gui.mainview.viewmodels;
using personalplaner.business.dienstplan;
using personalplaner.common.controls;
using personalplaner.common.plugins;
using personalplaner.gui.plugins.dienstplan.viewmodels;

namespace personalplaner.gui.plugins.dienstplan.views
{
	/// <summary>
	/// Interaction logic for DienstPlanView.xaml
	/// </summary>
    public partial class DienstPlanView : BaseControl
	{
		public DienstPlanView(int planId, IDienstPlanControler controler)
		{
            //Loaded += DienstPlanViewLoaded;

			InitializeComponent();

            var dc = DataContext as DienstPlanViewModel;
            if (dc == null)
                return;

            dc.PlanId = planId;
			dc.Controler = controler;
		}

        //void DienstPlanViewLoaded(object sender, RoutedEventArgs e)
        //{
        //    var dc = DataContext as DienstPlanViewModel;
        //    if (dc == null)
        //        return;

        //    dc.Loaded();
        //}
	}
}
