﻿using personalplaner.business.stamm;
using personalplaner.common.mvvm.common;
using System.Collections.Generic;
using personalplaner.common.mvvm;

namespace personalplaner.gui.stamm.viewmodels.models
{
    public class PersonalStammModel : BaseModel
    {
		Person _selectedPerson;
		public Person SelectedPerson
		{
			get
			{
				return _selectedPerson;
			}
			set
			{
				_selectedPerson = value;
				RaisePropertyChanged("SelectedPerson");
			}
		}

        Anstellung _anstellung;
        public Anstellung Anstellung
        {
            get
            {
                return _anstellung;
            }
            set
            {
                _anstellung = value;
                RaisePropertyChanged("Anstellung");
            }
        }

        Pensum _pensum;
        public Pensum Pensum
        {
            get
            {
                return _pensum;
            }
            set
            {
                _pensum = value;
                RaisePropertyChanged("Pensum");
            }
        }

        IEnumerable<Abteilung> _abteilungen;
        public IEnumerable<Abteilung> Abteilungen
        {
            get
            {
                return _abteilungen;
            }
            set
            {
                _abteilungen = value;
                RaisePropertyChanged("Abteilungen");
            }
        }
    }
}
