﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using personalplaner.common.controls;
using personalplaner.gui.stamm.viewmodels;

namespace personalplaner.gui.stamm.views
{
	/// <summary>
	/// Interaction logic for EditSaldoView.xaml
	/// </summary>
	public partial class EditSaldoView : BaseControl
	{
		public EditSaldoView()
		{
			InitializeComponent();
		}

		public int SchemaId
		{
			get
			{
				var dc = DataContext as EditSaldoViewModel;
				if (dc == null)
					return 0;

				return dc.SchemaId;
			}
			set
			{
				var dc = DataContext as EditSaldoViewModel;
				if (dc == null)
					return;

				dc.SchemaId = value;
			}
		}

        public int PlanId
        {
            get
            {
                var dc = DataContext as EditSaldoViewModel;
                if (dc == null)
                    return 0;

                return dc.PlanId;
            }
            set
            {
                var dc = DataContext as EditSaldoViewModel;
                if (dc == null)
                    return;

                dc.PlanId = value;
            }
        }

	}
}
