﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using personalplaner.common.controls;
using personalplaner.gui.stamm.viewmodels;

namespace personalplaner.gui.stamm.views
{
	/// <summary>
	/// Interaction logic for HolidayStamm.xaml
	/// </summary>
	public partial class HolidayStamm : BaseControl
	{
		public HolidayStamm()
		{
			InitializeComponent();
		}

        public HolidayStamm(int prsId)
        {
            InitializeComponent();

            var dc = DataContext as HolidayStammViewModel;
            if (dc == null)
                return;

            dc.SetPersonen(prsId);

        }
	}
}
