﻿using System.Collections.Generic;
using personalplaner.business.stamm;
using personalplaner.common.controls;
using personalplaner.gui.stamm.viewmodels;

namespace personalplaner.gui.stamm.windows
{
	/// <summary>
	/// Interaction logic for AddAbteilungToSchemaDialog.xaml
	/// </summary>
	public partial class AddAbteilungToSchema : WindowExt
	{
		public AddAbteilungToSchema()
		{
			InitializeComponent();
		}

		public IList<Abteilung> AbteilungenZugeteilt
		{
			get
			{
				var dc = DataContext as AddAbteilungToSchemaViewModel;
				if (dc == null)
					return new List<Abteilung>();

				return dc.AbteilungenZugeteilt;
			}
			set
			{
				var dc = DataContext as AddAbteilungToSchemaViewModel;
				if (dc == null)
					return;

				dc.SetAbteilungenZugeteilt(value);
			}
		}
	}
}
