﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using personalplaner.common.controls;
using personalplaner.gui.stamm.viewmodels;
using personalplaner.business.stamm;

namespace personalplaner.gui.stamm.windows
{
    /// <summary>
    /// Interaction logic for DienstZeitDialog.xaml
    /// </summary>
    public partial class DienstZeitWizard : WindowExt
    {
		public DienstZeitWizard(int dienstid)
        {
            InitializeComponent();

			var dc = DataContext as DienstZeitDialogViewModel;
			if (dc == null)
				return;

			dc.DienstId = dienstid;
        }

		public DienstZeitCollection UpdateCollection
		{
			set
			{
				var dc = DataContext as DienstZeitDialogViewModel;
				if (dc == null)
					return;

				dc.UpdateCollection = value;
			}
		}
    }
}
