﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using personalplaner.common.plugins;
using System.ComponentModel.Composition;
using personalplaner.common.controls;

namespace personalplaner.plugins.plananalysis
{
	/// <summary>
	/// Interaction logic for PlanAnalysisPlugin.xaml
	/// </summary>
	//[Export(typeof(IPlugin))]
	//[ExportMetadata("Name", "Analysis")]
	//[ExportMetadata("Description", "Analysis")]
	//[ExportMetadata("IconPath", "resources\\Reports.png")]

	//[Export(typeof(IPlugin))]
	//[Plugin(Name = "Analysis", Description = "Analysis", IconPath = "resources\\Reports.png")]

	[Export(typeof(IPlugin))]
	public partial class PlanAnalysisPlugin : BaseControl, IPlugin
	{
		public string PluginName
		{
			get
			{
				return personalplaner.plugins.plananalysis.Properties.Resources.Name;
			}
		}

		public string Description
		{
			get
			{
				return personalplaner.plugins.plananalysis.Properties.Resources.Description;
			}
		}

		public string IconPath
		{
			get
			{
				return "resources\\Reports.png";
			}
		}

		public PlanAnalysisPlugin()
		{
			InitializeComponent();
		}
	}
}
