﻿using System.Windows;
using personalplaner.common.mvvm;
using personalplaner.business;

namespace personalplaner.plugins.plananalysis.viewmodels
{
	public class AnalysisViewModel : BaseViewModel
	{
		public AnalysisViewModel(DependencyObject parent)
            : base(parent)
        {
        }

        public override void Loaded()
        {
            var mw = GetService<IMainWindowDisplayContainer>();
            mw.IsWaitVisible = false;
		}

		UIElement _selectedTab;
		public UIElement SelectedTab
		{
			get { return _selectedTab; }
			set
			{
				_selectedTab = value;
				RaisePropertyChanged("SelectedTab");
			}
		}
	}
}
