﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gencode.Common.Zip
{
	public class GZipResult
	{
		public GZippedFile[] Files = null;
		int fileCount = 0;
		public int FileCount
		{
			get
			{
				return fileCount;
			}
			set
			{
				fileCount = value;
				Files = new GZippedFile[value];
			}
		}
		public long TempFileSize = 0;
		public long ZipFileSize = 0;
		public int CompressionPercent = 0;
		public string TempFile = null;
		public string ZipFile = null;
		public bool TempFileDeleted = false;
	}
}
