﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Gencode.Gengui.Display
{
    [ToolboxItem(false)]
	public partial class DisplayableView : GUControl
	{
		public DisplayableView()
		{
			InitializeComponent();
		}

		DisplayableViewControler partnerView;
		public DisplayableViewControler PartnerView
		{
			get
			{
				return partnerView;
			}
			set
			{
				partnerView = value;
			}
		}

		string m_text = string.Empty;
		/// <summary>
		/// The text to display inside the control.
		/// </summary>
		[Browsable(true)]
		[DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
		public override string Text
		{
			get
			{
				return (m_text);
			}
			set
			{
				m_text = value;
			}
		}
	}
}
