using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Gencode.PrsCommon.Data.Plan;

// TODO: IMPORTANT
// Aktualisierung auf MainPlan combobox wenn ein Plan reaktiviert wird

namespace Personalplaner
{
    public partial class AbgeschlossenenPlane : Form
    {
		DataView m_plaene;

        public AbgeschlossenenPlane()
        {
            InitializeComponent();
            SetList();
        }

        private void SetList()
        {
			m_plaene = PlanData.GetInactivePlannames(Verwaltung.Mandant, false);
			listPlan.DataSource = m_plaene;
			listPlan.DisplayMember = "Name";
        }

        private void btnReaktivate_Click(object sender, EventArgs e)
        {
            if (listPlan.SelectedIndex >= 0)
            {
				PlanData.UpdatePlanStatus(int.Parse(m_plaene[listPlan.SelectedIndex].Row["PlanID"].ToString()), PlanStatus.Open);
                SetList();
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}