using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Personalplaner
{
    public partial class SchemaUpdateSave : Form
    {
        int button = 1;
        string schemaName = "";

        public SchemaUpdateSave()
        {
            InitializeComponent();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (txtName.Enabled == true && txtName.Text != string.Empty || txtName.Enabled == false)
            {
                DialogResult = DialogResult.OK;
                schemaName = txtName.Text;
                this.Close();
            }
            else
            {
                MessageBox.Show("Bitte geben Sie einen Namen fr das\nneue Schema ein.", "Kein name vorhanden", MessageBoxButtons.OK);
            }
        }

        private void rdoNew_CheckedChanged(object sender, EventArgs e)
        {
            button = 1; //new deactivate old
            txtName.Enabled = true;
        }

        private void rdoLeaveOld_CheckedChanged(object sender, EventArgs e)
        {
            button = 2; //Leave old write new
            txtName.Enabled = true;
        }

        private void rdoOverwrite_CheckedChanged(object sender, EventArgs e)
        {
            button = 3; //overwrite old
            txtName.Enabled = false;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            this.Close();
        }

        #region Properties
        public int Button
        {
            get { return button; }
            //set { button = value; }
        }
        public string SchemaName
        {
            get { return schemaName; }
            //set { schemaName = value; }
        }

        #endregion
    }
}