﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using Gencode.PrsCommon.App;

namespace Gencode.PrsCommon.Data.Abteilung
{
	public class AbteilungPerson : Abteilung
	{
		public AbteilungPerson(int abteilungid, int prsid)
			: base(abteilungid)
		{
			PrsID = prsid;
			DataView dv = Gencode.PrsCommon.Data.Person.PersonData.GetPersonAbteilung(prsid, abteilungid);
			Pensum = int.Parse(dv[0].Row["pensum"].ToString());
			Von = DateUtil.ConvertSqlToDate(dv[0].Row["von"].ToString());
			Bis = DateUtil.ConvertSqlToDate(dv[0].Row["bis"].ToString());
		}

		public int PrsID
		{
			get;
			private set;
		}

		public int Pensum
		{
			get;
			private set;
		}

		public string Von
		{
			get;
			private set;
		}

		public string Bis
		{
			get;
			private set;
		}
	}
}
