﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace Gencode.PrsCommon.Data.DataObjects
{
    public class Dienst : DienstBase
    {
        public Dienst()
        {
        }

        public Dienst(int dienstID, string mandid)
        {
            //Anzeigename,DienstID,Name,Kuzrtext,rgb
            DataView dv = Gencode.PrsCommon.Data.Dienst.DienstData.GetDienste(mandid, dienstID);
            DienstID = int.Parse(dv[0].Row[1].ToString());
            DienstName = dv[0].Row[2].ToString();
            Beschreibung = dv[0].Row[3].ToString();
            ARGB = int.Parse(dv[0].Row[4].ToString());
        }

        string beschreibung;
        /// <summary>
        /// Beschreibung des Dienstes
        /// </summary>
        public string Beschreibung
        {
            get
            {
                if (beschreibung != null)
                    return beschreibung;
                return string.Empty;
            }
            set
            {
                beschreibung = value;
            }
        }
    }
}
