﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Gencode.PrsCommon.Data.DataObjects
{
    public class DienstBase
    {
        public DienstBase()
        {
        }

        /// <summary>
        /// DienstID des Dienstes
        /// </summary>
        public int DienstID
        {
            get;
            set;
        }

        string name;
        /// <summary>
        /// Name des Dienstes
        /// </summary>
        public string DienstName
        {
            get
            {
                if (name != null)
                    return name;
                return string.Empty;
            }
            set
            {
                name = value;
            }
        }

        /// <summary>
        /// ARGB-Wert der Farbe des Dienstes
        /// </summary>
        public int ARGB
        {
            get;
            set;
        }
    }
}
