﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace Gencode.PrsWeb
{
    public partial class _Default : Gencode.Web.Common.WebPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Gencode.PrsWeb.App.User user = Session["USERRIGHTS"] as Gencode.PrsWeb.App.User;
            if (user == null)
                Response.Redirect("Login.aspx");

            string message = Session["MESSAGE"] as string;
            if (message != null)
                _lblMessage.Text = message;
            else
                _lblMessage.Text = "&nbsp;";

            string title = Session["TITLE"] as string;
            if (title != null)
                _lblTitle.Text = title;
            else
                _lblTitle.Text = "&nbsp;";

            Session["MESSAGE"] = null;
            Session["TITLE"] = null;

            
            
        }
    }
}
